# Tra cứu IMEI bán ra theo ngày

* Tính năng này dùng để tra cứu danh sách IMEI bán ra theo ngày ở trên Nhanh.vn. Dữ liệu sẽ được phân trang, mỗi trang tối đa không quá 50 IMEI.

## Request

* Xem [common request params](/v3/readme.md#request-params).
* Xem [Postman sample](/v3/product/imeisold.md).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/product/imeisold?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {
        productIds: [100, 101]
    },
    "paginator": {
        "size": 100
    }
}'
```

### Filters

| Key        | Type   | Description                              |
| ---------- | ------ | ---------------------------------------- |
| productIds | array  | Mảng ID sản phẩm                         |
| fromDate   | string | Xuất nhập kho từ ngày (định dạng Y-m-d)  |
| toDate     | string | Xuất nhập kho đến ngày (định dạng Y-m-d) |
| imei       | string | Số IMEI                                  |
| brandId    | int    | ID thương hiệu                           |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": "Dùng để lấy dữ liệu trang tiếp theo"
  },
  "data": [
    {
      "id": "(int) ID xuất nhập kho",
      "imei": "(string) Số IMEI",
      "date": "(string) Ngày xuất nhập kho",
      "mode": "(int) Kiểu xuất nhập kho",
      "depot": {
        "id": "(int) ID kho hàng",
        "name": "(string) Tên kho hàng"
      },
      "product": {
        "id": "(int) ID sản phẩm",
        "name": "(string) Tên sản phẩm",
        "code": "(string) Mã sản phẩm",
        "price": "(int) Giá bán sản phẩm"
      },
      "customer": {
        "id": "(int) ID khách hàng",
        "code": "(string) Mã khách hàng",
        "mobile": "(string) Số điện thoại khách hàng",
        "name": "(string) Tên khách hàng",
        "email": "(string) Email khách hàng",
        "address": "(string) Địa chỉ khách hàng"
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/product/imeisold.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
